// Reading from / writing to files on disk.

use std::{fs::File, io::prelude::*, path::Path};

use crate::Error;

// Read into owned data, emiting dedicated crate errors on failure.
pub(crate) fn read_file(path: &Path) -> Result<String, Error> {
    let mut file = File::open(path)?;
    let mut buf = Vec::new();
    file.read_to_end(&mut buf)?;
    Ok(String::from_utf8(buf)?)
}
