pub mod config;
mod errors;
mod gene_tree;
mod genes_forest;
pub mod interner;
mod io;
pub mod it_mean;
mod lexer;
mod model;
mod tree;

pub use config::{Config, Filters};
pub use errors::Error;
pub use gene_tree::{
    extract_local_triplet,
    topological_analysis::{self, TopologicalAnalysis},
    triplet::GeneTriplet,
    BranchLength, GeneTree,
};
pub use genes_forest::{filter::imbalance, GenesForest};
pub use model::{ln_likelihood, optimize_likelihood, Parameters};

pub const VERSION: &str = env!("CARGO_PKG_VERSION");
